jQuery(document).ready(function ($) {

    const $forteecom_widget = $('frt-widget-ecom');

    $.forteecom_refund = function forteecom_refund(forteecom_url_notify, amount, currency_code, confirm_text) {
        if (!confirm(confirm_text)) {
            return;
        }
        $('.forteecom_overlay').fadeIn();
        $.ajax({
            method: 'POST',
            url: forteecom_url_notify,
            data: JSON.stringify({
                type: 'PaymentRefunded',
                data: {
                    amount: amount,
                    currency_code: currency_code,
                }
            })
        }).done(function(data){
            const new_data = JSON.parse(data);
            if (new_data.success) {
                location.reload();
            } else {
                alert(new_data.error_message);
            }
        }).always(function () {
            $('.forteecom_overlay').fadeOut();
        });
    }

    $forteecom_widget.bind('statusChanged', function ($event) {
        if ($event.detail !== "DEFAULT") {
            $("#forteecom_checkout_form_new").submit();
        }
    });

    $forteecom_widget.bind('cardSaved', function ($event) {
        $.ajax({
            method: 'POST',
            url: forteecom_url_notify,
            data: JSON.stringify({
                type: 'CardSaved',
                data: {
                    card_token: $event.detail.data.data.token,
                    card_last4: $event.detail.data.maskedPAN,
                    card_expiry_month: $event.detail.data.expMonth,
                    card_expiry_year: $event.detail.data.expYear,
                    card_type: $event.detail.data.cardProvider,
                }
            }),
        });
    });

    $forteecom_widget.bind('paymentRetried', function ($event) {
        $forteecom_widget.trigger('togglePayWindow');
        $('.forteecom_overlay').fadeIn();
        $.ajax({
            method: 'POST',
            url: forteecom_url_notify,
            data: JSON.stringify({
                type: 'PaymentRetried',
                data: {
                    orderId: $forteecom_widget.attr("order-id"),
                    sessionId: $forteecom_widget.attr("session-id"),
                    remoteId: $forteecom_widget.attr("remote-id")
                }
            })
        }).done(function(data){
            const new_data = JSON.parse(data);
            $forteecom_widget.attr("session-id", new_data.sessionId);
            $forteecom_widget.attr("order-id", new_data.orderId);
            $forteecom_widget.trigger('togglePayWindow');
        }).always(function () {
            $('.forteecom_overlay').fadeOut();
        });
    });

    $('.forteecom_checkout_form').on('submit', function () {
        $('.forteecom_overlay').fadeIn();
    });

    $('.forteecom_overlay.closeable').on('click', function (e) {
        if (e.target !== this) return;
        $('.forteecom_overlay').fadeOut();
    });

    $('.forteecom_accordion li .forteecom_accordion_item_title').on('click', function (e) {
        $(this).parent().siblings().children('.forteecom_accordion_item_body').slideUp();
        $(this).siblings('.forteecom_accordion_item_body').slideDown();
    });
});