<?php
defined('_JEXEC') or die();

$init_info = $viewData['init_info'];
$order_info = $viewData['order_info'];
$stored_cards = $viewData['stored_cards'];
$urls = $viewData['urls'];
$save_card_state = JFactory::getUser()->guest ? 'hidden' : 'unchecked';

JHTML::_('behavior.tooltip');
JHTML::script('vmcreditcard.js', 'components/com_virtuemart/assets/js/', false);
vmLanguage::loadJLang('com_virtuemart', true);
vmJsApi::jCreditCard();
vmJsApi::jQuery();
vmJsApi::chosenDropDowns();

vmJsApi::addJScript('/plugins/vmpayment/forteecom/forteecom/assets/js/main.js');
vmJsApi::css('main', 'plugins/vmpayment/forteecom/forteecom/assets/css');

vmJsApi::addJScript('forteecom_url_define', '
    const forteecom_url_notify = "' . $urls['notify'] . '";
    const forteecom_url_redirect = "' . $urls['redirect'] . '";
');

echo $viewData['script'];

?>

<div class="forteecom forteecom_cc_form">
    <ul class="forteecom_accordion">
        <li>
            <div class="forteecom_accordion_item_title">
                <?php echo vmText::_('VMPAYMENT_FORTEECOM_SECTION_NEW_PAYMENT') ?>
            </div>
            <div class="forteecom_accordion_item_body forteecom_payment_method_block" style="display: block">
                <form id='forteecom_checkout_form_new' class="forteecom_checkout_form" method='post'
                      action='<?php echo $urls['redirect'] ?>'>
                    <frt-widget-ecom
                            id="forteecom-widget-btn"
                            merchant-id="<?php echo $init_info['forteecom_merchant_id'] ?>"
                            order-id="<?php echo $init_info['forteecom_order_id'] ?>"
                            session-id="<?php echo $init_info['forteecom_session_id'] ?>"
                            amount="<?php echo $order_info['total'] ?>"
                            json-class="TransactionSourcePurchase"
                            remote-id="<?php echo $order_info['number'] ?>"
                            currency="398"
                            description="<?php echo $order_info['description'] ?>"
                            card-save-state="<?php echo $save_card_state ?>"
                            notify-url="<?php echo $urls['notify'] ?>"
                    ></frt-widget-ecom>
                    <input type='hidden' name='_forteecom_order_status' value=''/>
                    <input type="hidden" name="forteecom_payment_method" value="new"/>
                </form>
            </div>
        </li>
        <?php foreach ($stored_cards as $stored_card): ?>
            <li>
                <div class="forteecom_accordion_item_title">
                    <?php echo ucfirst($stored_card->card_type) ?>
                    <?php echo vmText::_('VMPAYMENT_FORTEECOM_CARD_ENDING_IN') ?>
                    <?php echo $stored_card->card_last4 ?>,
                    <?php echo vmText::_('VMPAYMENT_FORTEECOM_CARD_EXPIRES') ?>
                    (<?php echo $stored_card->card_expiration_month ?>
                    /<?php echo $stored_card->card_expiration_year ?>)
                </div>
                <div class="forteecom_accordion_item_body forteecom_payment_method_block">
                    <form id='forteecom_checkout_form_<?php echo $stored_card->id ?>' class="forteecom_checkout_form"
                          method='post'
                          action='<?php echo $urls['redirect'] ?>'>
                        <input type="hidden" name="forteecom_payment_method" value="<?php echo $stored_card->id ?>"/>
                        <input type="submit" value="submit" class="button"/>
                    </form>
                </div>
            </li>
        <?php endforeach; ?>
    </ul>

    <div class="forteecom_overlay">
        <div class="forteecom_outer">
            <p><?php echo vmText::_('VMPAYMENT_FORTEECOM_TIP_DO_NOT_CLOSE_WINDOW') ?></p>
        </div>
    </div>

</div>
